/*******************************************************************************
 * Copyright (c) 2011 Google, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Google, Inc. - initial API and implementation
 *******************************************************************************/
package com.something.layout;

import org.eclipse.wb.internal.core.model.description.IToolkitProvider;
import org.eclipse.wb.internal.core.model.description.ToolkitDescription;

/**
 * Implementation of {@link IToolkitProvider} for eRCP.
 * 
 * @author scheglov_ke
 * @coverage ercp
 */
public final class ToolkitProvider implements IToolkitProvider {
	public static final ToolkitDescription DESCRIPTION = SomethingToolkitDescription.INSTANCE;
	static {
		((SomethingToolkitDescription) DESCRIPTION).initialize();
	}

	// //////////////////////////////////////////////////////////////////////////
	//
	// IToolkitProvider
	//
	// //////////////////////////////////////////////////////////////////////////
	@Override
	public ToolkitDescription getDescription() {
		System.out.println("***** getDescription()");
		return DESCRIPTION;
	}
}
